## sac2mseed 1.12+ds1

=== Makefile ===

DIRS = libmseed src

all clean static install gcc gcc32 gcc64 debug gccdebug gcc32debug gcc64debug ::
	@for d in $(DIRS) ; do \
	    echo "Running $(MAKE) $@ in $$d" ; \
	    if [ -f $$d/Makefile -o -f $$d/makefile ] ; \
	        then ( cd $$d && $(MAKE) $@ ) ; \
	    elif [ -d $$d ] ; \
	        then ( echo "ERROR: no Makefile/makefile in $$d for $(CC)" ) ; \
	    fi ; \
	done

=== debian/changelog ===
sac2mseed (1.12+ds1-3) unstable; urgency=medium

  * Patch upstream's Makefile to honor CPPFLAGS and LDFLAGS
  * Hardened build (hardening=+all)

 -- Paride Legovini <pl@ninthfloor.org>  Sat, 17 Feb 2018 14:30:15 +0100

sac2mseed (1.12+ds1-2) unstable; urgency=medium

  * d/control: use the correct maintainers mailing list address

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 08 Feb 2018 17:01:14 +0100

sac2mseed (1.12+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #886995)

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 17 Jan 2018 11:18:58 +0100

=== debian/control ===
Source: sac2mseed
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Paride Legovini <pl@ninthfloor.org>
Build-Depends: libmseed-dev, debhelper (>=11~)
Standards-Version: 4.1.3
Homepage: https://ds.iris.edu/ds/nodes/dmc/software/
Vcs-Git: https://salsa.debian.org/science-team/sac2mseed.git
Vcs-Browser: https://salsa.debian.org/sciente-team/sac2mseed

Package: sac2mseed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Convert SAC waveform data to MiniSEED
 SAC and MiniSEED are two commonly used formats for seismological data.
 .
 sac2mseed converts SAC waveform data to MiniSEED format. By default the
 format of the input files is automatically detected: alpha or binary
 (byte order autodetected).

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sac2mseed-$1\.tar\.gz/,dversionmangle=s/\+ds\d*$// \
 https://github.com/iris-edu/sac2mseed/tags .*/v?(\d\S+)\.tar\.gz

## sac2mseed 1.13%2Bds1

=== debian/changelog ===
sac2mseed (1.13+ds1-1) unstable; urgency=medium

  * New upstream version 1.13+ds1
  * d/{control,copyright}: update the maintainer address (paride@debian.org)
  * d/control: bump the dh compat level to 13 (via debhelper-compat)
  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * d/control: set Rules-Requires-Root: no
  * d/patches: drop 0001-Fix-format-of-the-manpage-NAME-section.patch
  * d/watch: specify the repacksuffix
  * debian/*: wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Sun, 31 Oct 2021 13:21:35 +0000

## sac2mseed 1.13+ds1

=== src/Makefile ===

# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use

# Options specific for GCC
GCC = gcc
GCCFLAGS = -O2 -Wall -I../libmseed

# Required compiler parameters
REQCFLAGS = -I../libmseed

BIN = sac2mseed

LDFLAGS = -L../libmseed
LDLIBS = -lmseed

OBJS = $(BIN).o

all: $(BIN)

$(BIN): $(OBJS)
	$(CC) $(CFLAGS) -o ../$@ $(OBJS) $(LDFLAGS) $(LDLIBS)

clean:
	rm -f $(OBJS) ../$(BIN)

cc:
	@$(MAKE) "CC=$(CC)" "CFLAGS=$(CFLAGS)"

gcc:
	@$(MAKE) "CC=$(GCC)" "CFLAGS=$(GCCFLAGS)"

gcc32:
	@$(MAKE) "CC=$(GCC)" "CFLAGS=-m32 $(GCCFLAGS)"

gcc64:
	@$(MAKE) "CC=$(GCC)" "CFLAGS=-m64 $(GCCFLAGS)"

static:
	@$(MAKE) "CC=$(CC)" "CFLAGS=-static $(GCCFLAGS)"

debug:
	$(MAKE) "CFLAGS=-g $(CFLAGS)"

gccdebug:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-g $(GCCFLAGS)"

gcc32debug:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-g -m32 $(GCCFLAGS)"

gcc64debug:
	$(MAKE) "CC=$(GCC)" "CFLAGS=-g -m64 $(GCCFLAGS)"

# Implicit rule for building object files
%.o: %.c
	$(CC) $(CFLAGS) $(REQCFLAGS) -c $<

install:
	@echo
	@echo "No install target, copy the executable(s) yourself"
	@echo

=== debian/control ===
Source: sac2mseed
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Paride Legovini <paride@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libmseed-dev,
Standards-Version: 4.6.0
Homepage: https://ds.iris.edu/ds/nodes/dmc/software/
Vcs-Git: https://salsa.debian.org/science-team/sac2mseed.git
Vcs-Browser: https://salsa.debian.org/sciente-team/sac2mseed
Rules-Requires-Root: no

Package: sac2mseed
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Convert SAC waveform data to MiniSEED
 SAC and MiniSEED are two commonly used formats for seismological data.
 .
 sac2mseed converts SAC waveform data to MiniSEED format. By default the
 format of the input files is automatically detected: alpha or binary
 (byte order autodetected).

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = sac2mseed
PKGDIR  = $(CURDIR)/debian/$(PACKAGE)
BINDIR  = $(PKGDIR)/usr/bin

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	install -D -m 755 sac2mseed $(BINDIR)/sac2mseed

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sac2mseed-$1\.tar\.gz/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1 \
 https://github.com/iris-edu/sac2mseed/tags .*/v?(\d\S+)\.tar\.gz
